SoVRMLScalarInterpolator(3)

NAME
SoVRMLScalarInterpolator - The SoVRMLScalarInterpolator class is used to interpolate scalar values.

SYNOPSIS

#include <Inventor/VRMLnodes/SoVRMLScalarInterpolator.h>

Inherits SoVRMLInterpolator.

  Public Member Functions
virtual SoType getTypeId (void) const
virtual const SoEngineOutputData * getOutputData (void) const
SoVRMLScalarInterpolator (void)

  Static Public Member Functions
static SoType getClassTypeId (void)
static void * createInstance (void)
static void initClass (void)

  Public Attributes
SoMFFloat keyValue
SoEngineOutput value_changed

  Protected Member Functions
virtual const SoFieldData * getFieldData (void) const
virtual ~SoVRMLScalarInterpolator ()

  Static Protected Member Functions
static const SoFieldData ** getFieldDataPtr (void)
static const SoEngineOutputData ** getOutputDataPtr (void)

  Additional Inherited Members

Detailed Description

The SoVRMLScalarInterpolator class is used to interpolate scalar values.

ScalarInterpolator {
  eventIn      SFFloat set_fraction         # (-inf, inf)
  exposedField MFFloat key           []     # (-inf, inf)
  exposedField MFFloat keyValue      []     # (-inf, inf)
  eventOut     SFFloat value_changed
}

This node linearly interpolates among a list of SFFloat values. This interpolator is appropriate for any parameter defined using a single floating point value. Examples include width, radius, and intensity fields. The keyValue field shall contain exactly as many numbers as there are keyframes in the key field. A more detailed discussion of interpolators is available in 4.6.8, Interpolator nodes (http://www.web3d.org/documents/specifications/14772/V2.0/part1/concepts.html#4.6.8).

Constructor & Destructor Documentation

  SoVRMLScalarInterpolator::SoVRMLScalarInterpolator (void)
Constructor.

  SoVRMLScalarInterpolator::~SoVRMLScalarInterpolator () [protected], [virtual]
Destructor.

Member Function Documentation

  SoType SoVRMLScalarInterpolator::getClassTypeId (void) [static]
This static method returns the SoType object associated with objects of this class.

  SoType SoVRMLScalarInterpolator::getTypeId (void) const [virtual]
Returns the type identification of an object derived from a class inheriting SoBase. This is used for runtime type checking and 'downward' casting.

Reimplemented from SoVRMLInterpolator.

  const SoFieldData ** SoVRMLScalarInterpolator::getFieldDataPtr (void) [static], [protected]
This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.
 Returns the SoFieldData class which holds information about fields in this node.

  const SoFieldData * SoVRMLScalarInterpolator::getFieldData (void) const [protected], [virtual]
Returns a pointer to the class-wide field data storage object for this instance. If no fields are present, returns NULL.

Reimplemented from SoVRMLInterpolator.

  const SoEngineOutputData * SoVRMLScalarInterpolator::getOutputData (void) const [virtual]
This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.

Reimplemented from SoVRMLInterpolator.

  void SoVRMLScalarInterpolator::initClass (void) [static]

Member Data Documentation

  SoMFFloat SoVRMLScalarInterpolator::keyValue
The keyValue vector.

  SoEngineOutput SoVRMLScalarInterpolator::value_changed
The eventOut which is sent every time the interpolator has calculated a new value.

Author

Generated automatically by Doxygen for Coin from the source code.